summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authormijikai2013-12-14 23:16:13 -0800
committermijikai2013-12-14 23:16:13 -0800
commitbdf46be6afdf9d4fbb6ca1a2a3d220d24c7a145f (patch)
treefe5bf9eb7eb95916d3d0a821d5ab8aaa34201d11
downloadaur-bdf46be6afdf9d4fbb6ca1a2a3d220d24c7a145f.tar.gz
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD20
2 files changed, 36 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..f559e80917e
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = xapian-omega
+ pkgdesc = Indexers and CGI search frontend for Xapian
+ pkgver = 1.2.0
+ pkgrel = 1
+ url = http://www.xapian.org/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = xapian-core
+ depends = perl
+ depends = pcre
+ source = http://oligarchy.co.uk/xapian/1.2.0/xapian-omega-1.2.0.tar.gz
+ md5sums = 4ab93bd80e786f2adbba1b49d61c5ee0
+
+pkgname = xapian-omega
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..c71c072847a
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Denis Kobozev <d.v.kobozev at gmail dot com>
+
+pkgname=xapian-omega
+pkgver=1.2.0
+pkgrel=1
+pkgdesc="Indexers and CGI search frontend for Xapian"
+arch=('i686' 'x86_64')
+url="http://www.xapian.org/"
+license=('GPL')
+depends=('xapian-core' 'perl' 'pcre')
+source=(http://oligarchy.co.uk/xapian/${pkgver}/${pkgname}-${pkgver}.tar.gz)
+md5sums=('4ab93bd80e786f2adbba1b49d61c5ee0')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+
+ ./configure --prefix=/usr --sysconfdir=/etc || return 1
+ make || return 1
+ make DESTDIR=${pkgdir} install || return 1
+}